Subject: Re: [BUG] git log --graph --pretty=format misplaces graph characters when -p given

From: Junio C Hamano <[email-masked]>
Date: Mon, 02 Feb 2026 12:49:36 -0800

"D. Ben Knoble" <[email-masked]> writes:

> On Mon, Feb 2, 2026 at 11:22 AM <[email-masked]> wrote:
>>
>> Hello,
>>
>> Git can pretty-print a commit graph with git log --graph and a custom --pretty
>> format. I alias some uses of git log --graph --pretty, to which I then want to
>> manually add "-p" upon invocation.
>> ...
> Yep. I think this is because format:%h doesn't add a newline by
> default. With tformat:%h or format:%h%n, the issue goes away. (See
> "git help log" under "tformat:"—this is probably what you want in
> order to get "oneline"-style format.)

FWIW, "git log --pretty=tformat:<whatever>" has a handy short-hand
that is "git log --format=<whatever>" ;-)